Skip navigation.
Home
The QNX Community Portal

View topic - Linking to both libcpp.so.5 and libstdc++.so.6

Linking to both libcpp.so.5 and libstdc++.so.6

QNX Application portings.

Linking to both libcpp.so.5 and libstdc++.so.6

Postby sheran.vaz » Thu Dec 08, 2016 5:32 pm

When migrating from QNX 6.5.0 SP1 to QNX 6.6 (also migrating Qt from 4.8.4 to 5.3.2). We found that our application links to libstdc++.so.6 (the gnu standard library) but the Qt package links to libcpp.so.5 (the Dinkum library).

We modified the configuration file for Qt5.3.2 package to include "-Y _gpp" to the qcc command therefore to link the Qt libraries against gnu standard C++ library. Which works, but we see libQt5Core.so.5.3.2 uses libicui18n.so.49 which is qnx library and it links to libcpp-ne.so.5 (the dinkum library).

How to resolve this? (Since a given binary cannot link to both gnu standard C++ library and dinkum C++ library)
sheran.vaz
Active Member
 
Posts: 98
Joined: Mon May 11, 2009 9:17 am

Return to Porting

Who is online

Users browsing this forum: No registered users and 2 guests